Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEdgeEnhanceSettings Class Reference
Request

Interface to edge enhancement settings. More...

`#include <Settings.h>`

Inheritance diagram for Argus::IEdgeEnhanceSettings:

List of all members.

## Public Member Functions
virtual Status | setEdgeEnhanceMode (const EdgeEnhanceMode &mode)=0
| Sets the edge enhancement mode for the request.
virtual EdgeEnhanceMode | getEdgeEnhanceMode () const =0
| Returns the edge enhancement mode for the request.
virtual Status | setEdgeEnhanceStrength (float strength)=0
| Sets the strength for the edge enhancement operation.
virtual float | getEdgeEnhanceStrength () const =0
| Returns the edge enhancement strength.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEdgeEnhanceSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to edge enhancement settings.

Definition at line 566 of file Settings.h.

## Constructor & Destructor Documentation

Argus::IEdgeEnhanceSettings::~IEdgeEnhanceSettings | ( |  | ) |
| inline protected

Definition at line 605 of file Settings.h.

## Member Function Documentation

virtual EdgeEnhanceMode Argus::IEdgeEnhanceSettings::getEdgeEnhanceMode | ( |  | ) | const
| pure virtual

Returns the edge enhancement mode for the request.

virtual float Argus::IEdgeEnhanceSettings::getEdgeEnhanceStrength | ( |  | ) | const
| pure virtual

Returns the edge enhancement strength.

static const InterfaceID& Argus::IEdgeEnhanceSettings::id | ( |  | ) |
| inline static

Definition at line 569 of file Settings.h.

virtual Status Argus::IEdgeEnhanceSettings::setEdgeEnhanceMode | ( | const EdgeEnhanceMode & | mode | ) |
| pure virtual

Sets the edge enhancement mode for the request.

Parameters:

  [in] | mode | The edge enhancement mode: OFF: Edge enhancement algorithms are disabled. FAST: Edge enhancement will be enabled, but it will not slow down the capture rate. HIGH_QUALITY: Maximum edge enhancement will be enabled to achieve the highest quality, but may slow down the capture rate.

Returns:
  success/status of the call.

virtual Status Argus::IEdgeEnhanceSettings::setEdgeEnhanceStrength | ( | float | strength | ) |
| pure virtual

Sets the strength for the edge enhancement operation.

Parameters:

  [in] | strength | The edge enhancement strength. This must be within the range [0.0, 1.0], where 0.0 is the least and 1.0 is the most amount of edge enhancement that can be applied. This strength is relative to the current edge enhancement mode; using a FAST edge enhancement mode with a full strength of 1.0 may not perform as well as using a HIGH_QUALITY mode with a lower relative strength.

Returns:
  success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/Settings.h